Media and vault
List vault media
Search and list creator vault media by text, media type, folder or script usage. Follow nextCursor while hasMore is true.
GET
/v1/agencies/{agencyId}/creators/{creatorId}/vault/mediaSearch and list creator vault media by text, media type, folder or script usage. Follow nextCursor while hasMore is true.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Query Parameters
limit?never
searchTerm?string
type?string
Value in
- "PHOTO"
- "VIDEO"
- "AUDIO"
cursor?string
listId?string
sortOrder?string
Value in
- "newest"
- "oldest"
hasScripts?boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/creators/string/vault/media" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "medias": [ { "id": "string", "price": 0, "type": "PHOTO", "isSoloPpv": true, "basePrice": 0, "maxPrice": 0, "tags": [ "string" ], "lists": [ { "id": "string", "name": "string" } ], "files": { "preview": "string", "thumb": "string", "full": "string" }, "creatorTags": [ "string" ], "createdAt": "string", "context": null, "duration": null, "hasScripts": null, "alreadySent": null, "alreadyOpened": null, "position": null, "isPreview": null, "messageTemplates": null, "scriptNames": null, "messageTemplateNames": null, "isReady": null, "isUploading": null, "contentAccess": { "tool": "media__read", "arguments": { "agencyId": "string", "input": { "creatorId": "string", "mediaId": "string", "variant": "full" } }, "variants": [ "full" ], "note": "string" } } ], "hasMore": true, "nextCursor": null }, "meta": { "requestId": "string" }}